#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "./gui/webviewdefs.h"
#include "./gui/webviewincludes.h"

#include <QMainWindow>

namespace RepoIndex {

class Manager;

class MainWindow : public QMainWindow
{
    Q_OBJECT
public:
    MainWindow(const QString &webdir, Manager *manager);

protected:
    bool event(QEvent *event);

private Q_SLOTS:
    void showInfoWebViewContextMenu(const QPoint &);
    void copyInfoWebViewSelection();

private:
    Manager *m_manager;
    REPOINDEX_WEB_VIEW m_webView;
    QMenu *m_contextMenu;
    QAction *m_copyAction;
};

}

#endif // MAINWINDOW_H
